# note: this file can and should be copied to any repo's trying to use cspell
# unfortunately, cspell only supports local imports and not HTTP imports
$schema: https://raw.githubusercontent.com/streetsidesoftware/cspell/main/cspell.schema.json
version: '0.2'
language: en
useGitignore: true
ignorePaths:
  - seeds/
  - migrations/
  - node_modules
  - .venv
  - venv
dictionaries:
  # cspell provided dictionaries
  - typescript
  - node
  - go
  - python
  - powershell
  - html
  - css
  - cpp
  - bash
  - fonts
  - filetypes
  - npm
  - softwareTerms
words:
  # Maltek Specific Items
  - Maltek
  - malteksolutions
  - brodie
  - lisi
  # Misc. Common Terms
  - markdownit
  - dataconnector
  - ilike
  - flowbite
  - preconfigured
  - linkify
  - allowfullscreen
  - auths
  - autoplay
  - creds
  - entrypoint
  - fortawesome
  - golint
  - govulncheck
  - hackathons
  - iframe
  - inlinehilite
  - kaniko
  - keycloak
  - keyof
  - libbz
  - markdownlint
  - mkdir
  - mkdocs
  - mouseenter
  - mouseleave
  - netcat
  - netplan
  - nowrap
  - nproc
  - passwordless
  - popperjs
  - pycache
  - pyenv
  - pygments
  - pymdownx
  - pyver
  - readline
  - relpath
  - rgba
  - semibold
  - shellcheck
  - squidfunk
  - subproject
  - superfences
  - sveltejs
  - sveltekit
  - tablesort
  - tailwindcss
  - tasklist
  - tbody
  - thead
  - tmknom
  - twemoji
  - typeof
  - venv
  - VITE
  - vuln
  - vulncheck
  - redteam
  - defcon
  - hasura
ignoreWords: []
import: []
